# Vue Test Utils [![Build Status](https://circleci.com/gh/vuejs/vue-test-utils/tree/dev.png?style=shield)](https://circleci.com/gh/vuejs/vue-test-utils)

Vue Test Utils is the official testing library for Vue.js.

## Packages

This repository provides the following two packages:

- [Vue Test Utils](./packages/test-utils)
- [Vue Server Test Utils](./packages/server-test-utils)

You can install these packages by the following command.

```
npm install --save-dev @vue/test-utils
npm install --save-dev @vue/server-test-utils
```

## Peer Dependencies

You need to install `vue-template-compiler` which is used to compile components. It should be the same version as the version of Vue you are using.

```
npm install --save-dev vue-template-compiler
```

## Documentation

Refer to the [documentation](https://vue-test-utils.vuejs.org/)

## Questions

For questions and support please use the [Discord chat room](https://vue-land.js.org/) or [the official forum](http://forum.vuejs.org). The issue list of this repo is **exclusively** for bug reports and feature requests.

## Issues

Please make sure to read the [Issue Reporting Checklist](https://github.com/vuejs/vue/blob/dev/.github/CONTRIBUTING.md#issue-reporting-guidelines) before opening an issue. Issues not conforming to the guidelines may be closed immediately.

## Contribution

Please make sure to read the [Contributing Guide](https://github.com/vuejs/vue-test-utils/blob/dev/.github/CONTRIBUTING.md) before making a pull request.

## Changelog

Changes for each release are documented in the [release notes](https://github.com/vuejs/vue-test-utils/releases).

## Stay In Touch

For the latest releases and announcements, follow on Twitter: [@vuejs](https://twitter.com/vuejs)

## License

[MIT](http://opensource.org/licenses/MIT)
